# 82. Mutacija: Obnovi dogodke naročnine

Vedno je dobra praksa imeti možnost obnoviti/preveriti dostavljena proti proizvedenim dogodkom naročnine. Zato GeoPard shrani zgodovino vseh proizvedenih dogodkov naročnin za **zadnjih 12 mesecev**.&#x20;

Pogosti primeri:&#x20;

* Slaba internetna povezava in dogodki niso bili dostavljeni
* Ponovna namestitev (redeployment) poslušalca WebSocket
* Preverite skladnost prejetih proti proizvedenim dogodkom

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Podprti vhodni filtri:

* `dateFrom` kot datum in čas v ISO 8601 formatu (npr.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` kot datum in čas v ISO 8601 formatu (npr.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` kot seznam UUID-jev "Kmetija" za iskanje
* `fieldUuids` kot seznam UUID-jev "Polje" za iskanje&#x20;
* `userUuids` kot polje UUID-jev "User", ki jih je treba iskati
* `eventUuids` kot seznam UUID-jev naročniškega "Dogodka"

{% hint style="info" %}
Vsi filtri delujejo kot logični **IN**.
{% endhint %}

{% hint style="info" %}
Vsak dogodek naročnine ima atribut `executionDate` povezan s časom pošiljanja v formatu AWSDateTime, združljivem z ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/82.-mutacija-obnovi-dogodke-narocnine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
